multi-v2ray 一键安装脚本  极速翻墙方法-Most01

如果完全不会装请留言联系站长

 

本站自建免费分享节点

Group: A
IP: 149.248.20.149
Port: 17970
TLS: 关闭
UUID: 4d5d3152-652c-11e9-bd66-560002012371
Alter ID: 16
Network: kcp srtp

vmess://eyJwcyI6ICIiLCAiaWQiOiAiNGQ1ZDMxNTItNjUyYy0xMWU5LWJkNjYtNTYwMDAyMDEyMzcxIiwgImFkZCI6ICIxNDkuMjQ4LjIwLjE0OSIsICJ2IjogIjIiLCAibmV0IjogImtjcCIsICJwYXRoIjogIiIsICJhaWQiOiAxNiwgInRscyI6ICJub25lIiwgInBvcnQiOiAxNzk3MCwgInR5cGUiOiAic3J0cCIsICJob3N0IjogIiJ9

 

首先我们要先准备一台VPS

 

注册账号

Vultr.com

点击上面链接,浏览Vultr官网。在首页填写账号、密码(至少10位、含英文大小写 & 数字),点击"Create Account"。

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

支付

注册成功后,去Billing页面用支付宝充值:

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

支付成功

当你支付成功后,在Vultr首页 Billing -> History 会显示你的充值记录。

创建Server

在Vultr Servers页面,点击右上角"+"按钮

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

选择配置,笔者建议Los Angelos节点,理论上Tokyo离我们最近,但非常不稳定。

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

操作系统看自己喜好,笔者习惯CenterOS;套餐最便宜2.5美金/月,按时收费,1CPU、512M Memory、500G Bandwitdh......(关于带宽、速度下问会说)

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

创建Server成功后,Servers界面会显示刚创建的Server,状态是Installing. 等几分钟,状态会变成Running

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

连接服务器

点击刚才创建的Server,进入详情页面:

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

页面显示该VPS的IP、Username、Password;右上角有"View Console"按钮,点击后可以打开控制台登录VPS,笔者并不推荐这种方式。

 

Xshell客服端

如果你是Mac用户,直接使用terminal连接服务器即可,跳过此步骤。

Xshell是一个免费SSH客户端,点击下载客户端SSH是一种安全协议,常用于连接服务器。

1.打开Xshell,在页面填写VPS IP地址和Port(默认22):

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

2.然后到填写VPS  IP  端口{22}:

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

3.填写登录用户名(root)

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

4.点击连接VPS,如果出现以下表示成功登录。

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

安装v2ray:  直接复制下面安装命令粘贴然后回车即可,等待代码不动了在进行下一个命令

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

 

首先,v2ray我是用的一键脚本,之前在v2ray刚出来的时候我就有发现这个工具,但是当时我觉得安装与配置方面比较繁琐。所以一直拖到现在才开始使用。

一键脚本我是用的multi-v2ray

三个常用的命令:

安装命令

source <(curl -sL https://git.io/fNgqx)

中文版安装

source <(curl -sL https://git.io/fNgqx) --zh

升级命令(保留配置文件,升级失败请全新安装)

source <(curl -sL https://git.io/fNgqx) -k

卸载命令

source <(curl -sL https://git.io/fNgqx) --remove

系统要求

  • Debian 7
  • Debian 8
  • Debian 9(推荐)
  • Ubuntu 14
  • Ubuntu 16
  • Ubuntu 18
  • CentOS 7

不支持Centos 6

如果提示 curl: command not found ,那是因为你的 VPS 没装 Curl
ubuntu/debian 系统安装 Curl 方法: apt-get update -y && apt-get install curl -y
centos 系统安装 Curl 方法: yum update -y && yum install curl -y
安装好 curl 之后就能安装脚本了

备注:安装完成后,输入 v2ray 即可管理 V2Ray
如果提示你的系统不支持此脚本,那么请尝试更换系统

 

快速管理

v2ray info 查看 V2Ray 配置信息
v2ray config 修改 V2Ray 配置
v2ray link 生成 V2Ray 配置文件链接
v2ray infolink 生成 V2Ray 配置信息链接
v2ray qr 生成 V2Ray 配置二维码链接
v2ray ss 修改 Shadowsocks 配置
v2ray ssinfo 查看 Shadowsocks 配置信息
v2ray ssqr 生成 Shadowsocks 配置二维码链接
v2ray status 查看 V2Ray 运行状态
v2ray start 启动 V2Ray
v2ray stop 停止 V2Ray
v2ray restart 重启 V2Ray
v2ray log 查看 V2Ray 运行日志
v2ray update 更新 V2Ray
v2ray update.sh 更新 V2Ray 管理脚本
v2ray uninstall 卸载 V2Ray

Docker Run

docker run -d --name v2ray --restart always --network host jrohy/v2ray

它将创建随机端口+随机标头(srtp | wechat-video | utp | dtls)kcp配置文件

检查v2ray配置文件:

docker exec v2ray bash -c "v2ray info"

只有重新启动容器才能在更改v2ray config.json时生效:

docker restart v2ray

警告:如果你用centos运行,你应该先关闭防火墙

systemctl stop firewalld.service
systemctl disable firewalld.service

V2RayN使用教程

233boy编辑了这个页面 3月22日 · 1修订版

V2RayN是PC平台上一个对新手比较友好的V2Ray Windows客户端。写个简单的V2RayN使用教程帮助新手

备注

以下教程均以使用了本站的一键安装V2Ray脚本为前提:V2Ray一键安装脚本
如果你还没有安装V2Ray,可以参考这教程:V2Ray搭建详细图文教程

下载V2RayN

备注:按住Ctrl +单击,即可在新窗口打开链接

下载链接: https//github.com/2dust/v2rayN/releases/latest

然后选择v2rayN-Core.zip下载
下载好了之后,解压,然后打开解压的文件夹
目录结构大概如下图所示

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

获取V2Ray客户端配置

SSH登录你的VPS(如果你没登录)
输入v2ray url

然后复制vmess链接(将链接全选,然后鼠标右键,再选择复制即可)

配置V2RayN

双击v2rayN.exe启动,然后在任务栏托盘找到V2RayN图标并双击它
添加一个VMess服务器

multi-v2ray 一键安装脚本  极速翻墙方法-Most01从剪贴板导入URL

multi-v2ray 一键安装脚本  极速翻墙方法-Most01设置本地监听端口,此处我将它设置为2333

multi-v2ray 一键安装脚本  极速翻墙方法-Most01

启用系统代理

在任务栏托盘找到V2RayN图标并鼠标右键,然后选择启动系统代理
并且设置系统代理模式“PAC模式
之后在V2RayN主界面,找到检查更新”检查更新PAC

测试一下

在完成上面的步骤的时候,正常来说,你已经处于翻出去的状态了
OK,此时你已经自由了,赶紧打开 谷歌 找部十八减的大电影喵喵吧哈哈。

备注一,如果你浏览器有使用Proxy SwitchyOmega,请点击它的图标然后选择系统代理
备注二,如果你在使用Firefox浏览器,打开选项,找到网络代理,再选上使用系统代理

暂停一下

默认来说,使用V2RayN的启动系统代理来管理翻墙比较简捷一些,浏览器直接就能翻出去了
说着当然,如果你想要手动来管理浏览器的代理也行,往下看
备注,如果你不是有特别的需求,不需要参考下面的Firefox和Chrome的做法。

Firefox(火狐浏览器)

(什么?没有在使用Firefox,那赶紧来试用吧, Firefox Quantum,更好的浏览器。 
打开选项,找到网络代理

multi-v2ray 一键安装脚本  极速翻墙方法-Most01选择手动代理设置,输入127.0.0.1 和 2333,勾选使用Socks v5代理DNS,然后确定即可。

multi-v2ray 一键安装脚本  极速翻墙方法-Most01OK,此时你已经自由了,赶紧打开 谷歌 找部十八减的大电影喵喵吧哈哈。

Chrome(谷歌浏览器)

安装代理SwitchyOmega(如果你已经安装,知道怎么设置代理吧..SOCKS5协议,2333端口)
在线安装:从Chrome应用商店安装

手动安装如下:
在Chrome地址栏输入chrome:// extensions打开扩展程序,之后
下载 代理SwitchyOmega ,打开链接后,找到SwitchyOmega_Chromium.crx下载,将下载完后的文件拖动到刚才打开的扩展程序的标签进行安装
然后点击添加扩展程序即可

multi-v2ray 一键安装脚本  极速翻墙方法-Most01好的,在完成安装代理SwitchyOmega后,
浏览器会自动打开一个SwitchyOmega选项的窗口,选择跳过教程,

multi-v2ray 一键安装脚本  极速翻墙方法-Most01选择导入/导出,在线恢复,输入: https//github.com/FelisCatus/SwitchyOmega/wiki/GFWList.bak

multi-v2ray 一键安装脚本  极速翻墙方法-Most01选择GFWed,设置代理端口为2333,然后点击应用选项

multi-v2ray 一键安装脚本  极速翻墙方法-Most01然后右上角找到代理SwitchyOmega图标,点击它,再点击自动切换

multi-v2ray 一键安装脚本  极速翻墙方法-Most01OK,此时你已经自由了,赶紧打开 谷歌 找部十八减的大电影喵喵吧哈哈。

结束

实际上,没有特别的需求根本不需要安装代理SwitchyOmega,直接使用V2RayN打开启动系统代理就可以自动翻出去了
如果你有使用代理SwitchyOmega
V2RayN设置的那个本地鉴听端口可以随便修改的,如果你修改了,代理SwitchyOmega那边也要设置成对应的端口就行
啊〜生活如此美好



Debian/Ubuntu TCP拥塞控制技术 ——TCP-BBR 一键安装脚本


注意:本教程涉及到VPS更换内核,所以如果步骤错误,或者VPS不兼容最新的内核,会导致无法开机等错误,请勿用于生产环境!!!!

BBR 简单介绍


BBR 是一个由谷歌社区开发的 TCP拥塞控制技术,目前处于开发初期,但是前景很棒,大家可以持续关注,同时BBR是集成与Linux最新版本的内核中的。


具体什么是TCP拥塞控制技术,详细的我也不懂,我就用通俗一点的话解释一下,不一定准确,看一看理解一下就好了。


原始的TCP流量传输,已经不能适应现在的互联网了,我们把 TCP流量比喻成 公路上的汽车流量,而TCP传输隧道就是 公路,那么:

在原始的TCP流量传输中,一条十字路口公路,很多车流量,但是却没有红绿灯和交警,导致大家左挤右挤的堵车了,这就是没有合理的管理导致的。

而BBR和锐速等TCP流量控制技术,就是红绿灯+交警,他们就是在无人管理的十字路口,去合理指挥分配车流量,然后最大化的利用车流量,保证路面畅通。


大概就是这样解释了,有什么错误请指出。


BBR官方项目地址:https://github.com/google/bbr


系统要求


Debian / Ubuntu 14.04 +


CentOS用户请使用这个脚本:CentOS/Debian/Ubuntu系统 TCP-BBR 一键安装脚本


本脚本只在 Debian 7 / Debian 8 / Ubuntu 14.04 / Ubuntu 16.04 (均 x64位) 这几个系统中测试过脚本可以正常运行(Vultr)!


强烈推荐 Debian 8 x64,这个是我一直使用的系统,我的脚本在这个系统上面出错率最低。


至于为什么不支持 CentOS 等系统,主要是我不怎么用其他的系统,就不做支持了。


脚本版本


Ver: 1.0.22


安装步骤


更换内核需要ROOT权限,所以如果你是普通用户 的话,需要ROOT账号权限,如果你是ROOT账号,那就忽略这个步骤:


  1. sudo su



输入并回车后,会提示让你输入当前账号的密码,输入并回车后就可以继续下面的步骤了。


  1. wget -N --no-check-certificate https://raw.githubusercontent.com/ToyoDAdoubiBackup/doubi/master/bbr.sh && chmod +x bbr.sh && bash bbr.sh

下载并运行脚本后,会自动检测并开始安装,首先会提示你输入要下载的内核版本,可以安装自定义版本的内核,也可以直接回车安装最新版本的内核(内核版本获取)!


  1. 请输入 要下载安装的Linux内核版本(BBR) [ 格式: x.xx.xx ,例如: 4.9.96 ]
  2. [注意] 内核版本列表请去这里获取:[ http://kernel.ubuntu.com/~kernel-ppa/mainline/ ]
  3. 建议使用稳定版本:4.9.XX ,4.9 以上版本属于测试版,稳定版与测试版同步更新,BBR 加速效果无区别。
  4. (直接回车,自动获取最新稳定版本):

注意:在Debian系统中,删除旧内核时,会提示你是否终止删除内核的行为(如下图),这个需要你选择<No> (键盘方向键 选择,回车键 确认)。


multi-v2ray 一键安装脚本  极速翻墙方法-Most01

如果没有出错,内核更换完毕后,会提示是否立即重启VPS,直接回车或者输入 Y 。


  1. 需要重启VPS后,才能开启BBR,是否现在重启 ? [Y/n] : y
  2. [注意] 重启VPS后,请运行脚本查看 BBR 是否正常加载,运行命令: bash /xxx/bbr.sh status
  3. [信息] VPS 重启中...

等待十几秒,VPS启动后,重新通过SSH连接VPS,运行重启时提示的命令查看BBR是否加载成功。


  1. bash /xxx/bbr.sh status
  2. # /xxx/ 是BBR脚本所在目录,脚本会自动识别并显示给你,免得一些人找不到自己把 bbr.sh 脚本下载到哪里去了。

然后就会自动开启BBR。


如果重启VPS后,无法连接(或者链接后查看状态提示:BBR已开启但未启动),说明内核安装或与系统存在兼容性问题,无法正常启动,代表你的VPS当前系统无法使用BBR,请更换其他系统!


使用方法


  1. # 启动BBR
  2. bash bbr.sh start
  3. # 关闭BBR
  4. bash bbr.sh stop
  5. # 查看BBR状态
  6. bash bbr.sh status

注意:关闭BBR,需要重启VPS,所以脚本会提醒是否立即重启VPS。

升级BBR


  1. bash bbr.sh
  2. # 重新执行脚本会检测最新内核和当前内核,对比版本

因为 BBR 只是内核中的一个模块,所以内核更新不一定是 BBR 更新,就像 Win10 中 IE 的位置一样,Win10 更新不代表是为了更新 IE ,所以是否要更新内核要看 BBR 官方源码有没有更新了。


BBR官方项目地址:https://github.com/google/bbr


另外,4.9.xx 版本为稳定版内核,4.9 以后的版本都是测试版内核,稳定版和测试版同步更新,BBR 模块也是同步更新,建议使用稳定版内核。


卸载BBR


BBR集成于内核中,所以卸载BBR=更换内核,教程:


Debian/Ubuntu 内核降级教程 —— 降低(BBR)为支持锐速的内核版本


其他说明


注意:TCP-BBR必须是 2016-12-05 21:00 更新的 4.9.0-rc8 内核及以后的版本 才能开启,而锐速并不支持这个最新的内核版本,所以TCP-BBR和锐速是不可能共存的。

裸SS / 锐速+SS / BBR+SS简单速度对比,仅供参考,看这里


更换内核后重启服务器无法启动 的问题


如果重启VPS后,无法连接,说明内核安装有问题 或 内核与系统存在兼容性问题,无法正常启动。


这代表你的VPS当前系统不支持最新的内核版本,无法开启BBR,请更换其他系统尝试!


提示 wget: unknown host “raw.githubusercontent.com” 之类的错误


这是无法解析我的域名,多半是DNS的问题,请更换DNS为谷歌DNS。


  1. echo "nameserver 8.8.8.8" > /etc/resolv.conf
  2. echo "nameserver 8.8.4.4" >> /etc/resolv.conf

提示 wget: command not found 的错误


这是你的系统精简的太干净了,wget都没有安装,所以需要安装wget。


  1. # Debian/Ubuntu 系统:
  2. apt-get install -y wget